Documentation Index

Fetch the complete documentation index at: https://docs.mapp.com/llms.txt

Use this file to discover all available pages before exploring further.

/membership/replaceAttributes

Prev Next
Post
/membership/replaceAttributes

Replaces the member attributes for a contact within a group where the contact is a member
Request body example:

[{
"name" : "attribute1",
"value" : "0001"
},
{
"name" : "attribute2",
"value" : "0002"
}]
Query parameters
userId
integer (int64) Required

ID of the user

groupId
integer (int64) Required

ID of the group

Body parameters
Array of object
object
name
string
value
string
Responses
200
400

userId and groupId are mandatory, but are missing or incorrect.

404

Error response: {
"errorActor": "CLIENT",
"errorCode": "INVALID_REQUEST",
"message": "Not Found"
}